# Uses of Interface
org.apache.solr.common.IteratorWriter

Packages that use IteratorWriter
Package
Description
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of IteratorWriter in org.apache.solr.common

Methods in org.apache.solr.common with parameters of type IteratorWriter
Modifier and Type
Method
Description
`void`
PushWriter.`writeIterator(IteratorWriter iw)`
Write an array.

## Uses of IteratorWriter in org.apache.solr.common.util

Methods in org.apache.solr.common.util with parameters of type IteratorWriter
Modifier and Type
Method
Description
`void`
JavaBinCodec.`writeIterator(IteratorWriter val)`
`default void`
JsonTextWriter.`writeIterator(IteratorWriter val)`
`default void`
TextWriter.`writeIterator(String name, IteratorWriter iw, boolean raw)`
`default void`
TextWriter.`writeIterator(IteratorWriter iw)`